LinuxQMISDK: QmiCbkLocInjectSensorDataInd Struct Reference

LinuxQMISDK SLQS03.03.07

- Main Page
- Modules
- References
- Data Structures

- Data Structures
- Data Fields

Data Fields
QmiCbkLocInjectSensorDataInd Struct Reference

## Data Fields
ULONG | injectSensorDataStatus
ULONG * | pOpaqueIdentifier
BYTE * | pAccelSamplesAccepted
BYTE * | pGyroSamplesAccepted
BYTE * | pAccelTempSamplesAccepted
BYTE * | pGyroTempSamplesAccepted

## Detailed Description

This structure contains LOC Inject Sensor Data

Parameters

  injectSensorDataStatus | Values 0 - Request was completed successfully 1 - Request failed because of a general failure. 2 - Request failed because it is not supported. 3 - Request failed because it contained invalid parameters 4 - Request failed because the engine is busy 5 - Request failed because the phone is offline 6 - Request failed because it timed out 7 - Request failed because an undefined configuration was requested 8 - engine could not allocate sufficient memory 9 - Request failed because the maximum number of Geofences are already programmed 10 -Location service failed because of an XTRA version-based file format check failure
  pOpaqueIdentifier | Sent in by the client echoed so the client can relate the indication to the request.
  pAccelSamplesAccepted | Lets the client know how many 3-axis accelerometer samples were accepted. This field is present only if the accelerometer samples were sent in the request.
  pGyroSamplesAccepted | Lets the client know how many 3-axis gyroscope samples were accepted. This field is present only if the gyroscope samples were sent in the request.
  pAccelTempSamplesAccepted | Lets the client know how many accelerometer temperature samples were accepted. This field is present only if the accelerometer temperature samples were sent in the request.
  pGyroTempSamplesAccepted | Lets the client know how many gyroscope temperature samples were accepted. This field is present only if the gyroscope temperature samples were sent in the request.

## Field Documentation

ULONG QmiCbkLocInjectSensorDataInd::injectSensorDataStatus

BYTE* QmiCbkLocInjectSensorDataInd::pAccelSamplesAccepted

BYTE* QmiCbkLocInjectSensorDataInd::pAccelTempSamplesAccepted

BYTE* QmiCbkLocInjectSensorDataInd::pGyroSamplesAccepted

BYTE* QmiCbkLocInjectSensorDataInd::pGyroTempSamplesAccepted

ULONG* QmiCbkLocInjectSensorDataInd::pOpaqueIdentifier